Generation Framework

## org.eclipse.gmf.mappings
Interface CompartmentMapping

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CompartmentMappingImpl

    public interface CompartmentMapping

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Compartment Mapping'.

The following features are supported:

- `Compartment`
- `Parent Node`
- `Children`

See Also:
  `GMFMapPackage.getCompartmentMapping()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<ChildReference>` `getChildren()` Returns the value of the 'Children' reference list.
`Compartment` `getCompartment()` Returns the value of the 'Compartment' reference
`NodeMapping` `getParentNode()` Returns the value of the 'Parent Node' container reference.
`void` `setCompartment(Compartment value)` Sets the value of the '`Compartment`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCompartment

    Compartment getCompartment()

  Returns the value of the 'Compartment' reference.

  If the meaning of the 'Compartment' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compartment' reference.
  See Also:
    `setCompartment(Compartment)`, `GMFMapPackage.getCompartmentMapping_Compartment()`
  ** Generated **
  Model:
    required="true"

### setCompartment

    void setCompartment(Compartment value)

  Sets the value of the '`Compartment`' reference.

  Parameters:
    `value` - the new value of the 'Compartment' reference.
  See Also:
    `getCompartment()`
  ** Generated **

### getParentNode

    NodeMapping getParentNode()

  Returns the value of the 'Parent Node' container reference. It is bidirectional and its opposite is '`Compartments`'.

  If the meaning of the 'Parent Node' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent Node' container reference.
  See Also:
    `GMFMapPackage.getCompartmentMapping_ParentNode()`, `NodeMapping.getCompartments()`
  ** Generated **
  Model:
    opposite="compartments" resolveProxies="false" required="true" transient="false" changeable="false"

### getChildren

    org.eclipse.emf.common.util.EList<ChildReference> getChildren()

  Returns the value of the 'Children' reference list. The list contents are of type `ChildReference`. It is bidirectional and its opposite is '`Compartment`'.

  If the meaning of the 'Children' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children' reference list.
  See Also:
    `GMFMapPackage.getCompartmentMapping_Children()`, `ChildReference.getCompartment()`
  ** Generated **
  Model:
    opposite="compartment"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.